
@import '../../../../styles/mixins';


.card {
	width: 100%;
	height: 300px;
}

$image-height: 200px;
.image-wrapper {
	position: relative;
	height: $image-height;
	overflow: hidden;

	&:hover {
		.action-button-wrapper {
			top: 5px;
		}
	}

	> img {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
}

$action-panel-size: 30px;
.action-button-wrapper {
	position: absolute;
	top: -$action-panel-size - 5px;
	right: 5px;
	height: $action-panel-size;
	transition: ease top 0.5s;
}

.action-button {
	min-width: initial !important;
	width: $action-panel-size;
	height: $action-panel-size;
	border-radius: 50% !important;

	&:not(:first-child) {
		margin-left: 10px;
	}

	svg {
		font-size: 18px;
	}
}

.title {
	@include ellipsis();
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 10px;
	background: linear-gradient(to right, rgba(64, 64, 64, 0.8), rgba(0, 0, 0, 0) 90%);
	color: $white;
	font-weight: 600;
	font-size: 18px;
}

.content {
	padding: 10px;
	height: calc(100% - #{$image-height});
}

.description {
	@include ellipsis(4);
}
